window.Gleam.initSearch([{"doc":"go_over","title":"go_over","content":"# 🕵️‍♂️ go_over\n\n[![Package Version](https://img.shields.io/hexpm/v/go_over)](https://hex.pm/packages/go_over)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/go_over/)\n\nA tool to check for Erlang &amp; Elixir dependency advisories as well as retired hex packages, to make sure your gleam projects really sparkle! ✨\n\n🚨 _**NOTE**_: security advisories are _NOT_ currently monitored for gleam dependencies. The language, while excellent, is far too new and niche\n\n# Install\n\n```sh\ngleam add --dev go_over\n```\n\n- add `.go-over/` to your `.gitignore`\n- make sure `git` is installed\n\n# Usage\n\n```sh\ngleam run -m go_over\n```\n\n## Obligatory Asciinema\n![demo](https://raw.githubusercontent.com/bwireman/go-over/main/images/demo.gif)\n## 🏴 Flags\n\n- `--skip`: will skip checking the cache and used the stored data no matter what\n- `--force`: will force pulling new data even if the cached data is still valid \n\n\n## Caching\n\n- Security advisory data is cached for six hours\n- hex.pm retired package data is cached for one hour\n\n# Other Art\n\n- As I&#39;m sure is no surprise this tool is inspired by (and all around worse than) [mirego/mix_audit](https://github.com/mirego/mix_audit). Please check it out!\n- It also draws inspiration from [mix hex.audit](https://hexdocs.pm/hex/Mix.Tasks.Hex.Audit.html)\n\n# License\n\nThis tool uses [mirego/elixir-security-advisories](https://github.com/mirego/elixir-security-advisories) which is it self licensed with `BSD-3-Clause license` and `CC-BY 4.0 open source license`. See their [#license section](https://github.com/mirego/elixir-security-advisories?tab=readme-ov-file#license)\n\nCode original to this repo is Licensed under MIT\n","url":"index.html"},{"doc":"go_over/cache","title":"pull_if_not_cached","content":"pub fn pull_if_not_cached(\n  path: String,\n  max_age: Int,\n  pullfn: fn() -&gt; Nil,\n) -&gt; Nil\n\nSynonyms:\ngo_over/cache.pull_if_not_cached\ngo_over/cache pull_if_not_cached","url":"go_over/cache.html#pull_if_not_cached"},{"doc":"go_over/cache","title":"go_over/cache","content":"","url":"go_over/cache.html"},{"doc":"go_over/comparisons","title":"get_comparator","content":"pub fn get_comparator(ver: String) -&gt; fn(SemVer) -&gt; Bool\n\nSynonyms:\ngo_over/comparisons.get_comparator\ngo_over/comparisons get_comparator","url":"go_over/comparisons.html#get_comparator"},{"doc":"go_over/comparisons","title":"parse","content":"pub fn parse(ver: String) -&gt; SemVer\n\nSynonyms:\ngo_over/comparisons.parse\ngo_over/comparisons parse","url":"go_over/comparisons.html#parse"},{"doc":"go_over/comparisons","title":"go_over/comparisons","content":"","url":"go_over/comparisons.html"},{"doc":"go_over/constants","title":"hour","content":"pub const hour: Int\n\nSynonyms:\ngo_over/constants.hour\ngo_over/constants hour","url":"go_over/constants.html#hour"},{"doc":"go_over/constants","title":"six_hours","content":"pub const six_hours: Int\n\nSynonyms:\ngo_over/constants.six_hours\ngo_over/constants six_hours","url":"go_over/constants.html#six_hours"},{"doc":"go_over/constants","title":"go_over_path","content":"pub fn go_over_path() -&gt; String\n\nSynonyms:\ngo_over/constants.go_over_path\ngo_over/constants go_over_path","url":"go_over/constants.html#go_over_path"},{"doc":"go_over/constants","title":"go_over/constants","content":"","url":"go_over/constants.html"},{"doc":"go_over/packages","title":"Package","content":"pub type Package {\n  Package(\n    name: String,\n    version: SemVer,\n    version_raw: String,\n    direct: Bool,\n  )\n}\n\nPackage(\n  name: String,\n  version: SemVer,\n  version_raw: String,\n  direct: Bool,\n)\n\n\nSynonyms:\ngo_over/packages.Package\ngo_over/packages Package","url":"go_over/packages.html#Package"},{"doc":"go_over/packages","title":"read_manifest","content":"pub fn read_manifest(path: String) -&gt; List(Package)\n\nSynonyms:\ngo_over/packages.read_manifest\ngo_over/packages read_manifest","url":"go_over/packages.html#read_manifest"},{"doc":"go_over/packages","title":"go_over/packages","content":"","url":"go_over/packages.html"},{"doc":"go_over/yaml","title":"parse","content":"pub fn parse(path: String) -&gt; #(String, List(String))\n\nSynonyms:\ngo_over/yaml.parse\ngo_over/yaml parse","url":"go_over/yaml.html#parse"},{"doc":"go_over/yaml","title":"start","content":"pub fn start() -&gt; Result(List(Atom), EnsureAllStartedError)\n\nSynonyms:\ngo_over/yaml.start\ngo_over/yaml start","url":"go_over/yaml.html#start"},{"doc":"go_over/yaml","title":"go_over/yaml","content":"","url":"go_over/yaml.html"},{"doc":"go_over/advisories","title":"ADV","content":"pub type ADV {\n  ADV(\n    name: String,\n    vulnerable_version_ranges: List(String),\n    file: String,\n  )\n}\n\nADV(\n  name: String,\n  vulnerable_version_ranges: List(String),\n  file: String,\n)\n\n\nSynonyms:\ngo_over/advisories.ADV\ngo_over/advisories ADV","url":"go_over/advisories.html#ADV"},{"doc":"go_over/advisories","title":"check_for_advisories","content":"pub fn check_for_advisories(\n  packages: List(Package),\n  pull: Bool,\n) -&gt; List(#(Package, List(ADV)))\n\nSynonyms:\ngo_over/advisories.check_for_advisories\ngo_over/advisories check_for_advisories","url":"go_over/advisories.html#check_for_advisories"},{"doc":"go_over/advisories","title":"go_over/advisories","content":"","url":"go_over/advisories.html"},{"doc":"go_over/retired","title":"check_retired","content":"pub fn check_retired(\n  pkg: Package,\n  pull: Bool,\n) -&gt; Option(ReleaseRetirement)\n\nSynonyms:\ngo_over/retired.check_retired\ngo_over/retired check_retired","url":"go_over/retired.html#check_retired"},{"doc":"go_over/retired","title":"print_ret","content":"pub fn print_ret(ret: ReleaseRetirement) -&gt; String\n\nSynonyms:\ngo_over/retired.print_ret\ngo_over/retired print_ret","url":"go_over/retired.html#print_ret"},{"doc":"go_over/retired","title":"go_over/retired","content":"","url":"go_over/retired.html"},{"doc":"go_over/warning","title":"Dep","content":"pub type Dep {\n  Direct\n  Indirect\n}\n\nDirect\n\n\nIndirect\n\n\nSynonyms:\ngo_over/warning.Dep\ngo_over/warning Dep","url":"go_over/warning.html#Dep"},{"doc":"go_over/warning","title":"Warning","content":"pub type Warning {\n  Warning(\n    package: String,\n    version: String,\n    reason: String,\n    warning_reason_code: WarningReasonCode,\n    dep: Dep,\n  )\n}\n\nWarning(\n  package: String,\n  version: String,\n  reason: String,\n  warning_reason_code: WarningReasonCode,\n  dep: Dep,\n)\n\n\nSynonyms:\ngo_over/warning.Warning\ngo_over/warning Warning","url":"go_over/warning.html#Warning"},{"doc":"go_over/warning","title":"WarningReasonCode","content":"pub type WarningReasonCode {\n  Retired\n  Vulnerable\n}\n\nRetired\n\n\nVulnerable\n\n\nSynonyms:\ngo_over/warning.WarningReasonCode\ngo_over/warning WarningReasonCode","url":"go_over/warning.html#WarningReasonCode"},{"doc":"go_over/warning","title":"adv_to_warning","content":"pub fn adv_to_warning(pkg: Package, adv: List(ADV)) -&gt; Warning\n\nSynonyms:\ngo_over/warning.adv_to_warning\ngo_over/warning adv_to_warning","url":"go_over/warning.html#adv_to_warning"},{"doc":"go_over/warning","title":"print","content":"pub fn print(w: Warning) -&gt; String\n\nSynonyms:\ngo_over/warning.print\ngo_over/warning print","url":"go_over/warning.html#print"},{"doc":"go_over/warning","title":"retired_to_warning","content":"pub fn retired_to_warning(\n  pkg: Package,\n  ret: ReleaseRetirement,\n) -&gt; Warning\n\nSynonyms:\ngo_over/warning.retired_to_warning\ngo_over/warning retired_to_warning","url":"go_over/warning.html#retired_to_warning"},{"doc":"go_over/warning","title":"go_over/warning","content":"","url":"go_over/warning.html"},{"doc":"go_over","title":"main","content":"pub fn main() -&gt; Nil\n\nSynonyms:\ngo_over.main\ngo_over main","url":"go_over.html#main"},{"doc":"go_over","title":"go_over","content":"","url":"go_over.html"}]);